package com.pos;

import java.util.HashMap;
import java.util.Map;

import org.hornetq.api.core.TransportConfiguration;
import org.hornetq.api.core.client.ClientConsumer;
import org.hornetq.api.core.client.ClientMessage;
import org.hornetq.api.core.client.ClientSession;
import org.hornetq.api.core.client.ClientSessionFactory;
import org.hornetq.api.core.client.HornetQClient;

public class Consumer {
	
	  public static void main(String[] args) throws Exception
	   {
		  ClientSession session = null;
	      try
	      {
				Map<String, Object> connectionParams = new HashMap<String, Object>();

				connectionParams
						.put(org.hornetq.core.remoting.impl.netty.TransportConstants.HOST_PROP_NAME,
								"172.31.123.85");
				connectionParams
						.put(org.hornetq.core.remoting.impl.netty.TransportConstants.PORT_PROP_NAME,
								"5455");

				TransportConfiguration transportConfiguration = new TransportConfiguration(
						"org.hornetq.core.remoting.impl.netty.NettyConnectorFactory",
						connectionParams);
				
				ClientSessionFactory sessionFactory = HornetQClient
						.createClientSessionFactory(transportConfiguration);

				session = sessionFactory.createSession();
				
				ClientConsumer consumer = session.createConsumer("queue.poslink_request");
				ClientMessage msgReceived = consumer.receive();
				System.out.println("message = "
						+ msgReceived.getBodyBuffer().readString());
	      }
	      finally
	      {
	         if (session != null)
	         {
	        	 session.close();
	         }
	      }
	   }
}
